AM263Px MCU+ SDK: peerDelayParams_t Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
peerDelayParams_t Struct Reference

## Detailed Description

Parameters required for calculating Cable Delay.

## Data Fields
uint8_t | ifTwoStep
uint32_t | T1Sec
uint32_t | T1Nsec
uint64_t | T2Sec
uint32_t | T2Nsec
uint64_t | T3Sec
uint32_t | T3Nsec
uint64_t | T4Sec
uint32_t | T4Nsec
uint64_t | pDelayReqRcvdTSSec
uint32_t | pDelayReqRcvdTSNsec
uint64_t | delayResCorrField
uint64_t | delayResFwUpCorrField

## Field Documentation

## ◆ ifTwoStep

uint8_t peerDelayParams_t::ifTwoStep

Set to 1 if Two step Peer delay response

## ◆ T1Sec

uint32_t peerDelayParams_t::T1Sec

Delay Request TX timestamp or T1. In Seconds

## ◆ T1Nsec

uint32_t peerDelayParams_t::T1Nsec

Delay Request TX timestamp or T1. In Nanoseconds

## ◆ T2Sec

uint64_t peerDelayParams_t::T2Sec

Delay Request Receipt Timestamp T2. In Seconds

## ◆ T2Nsec

uint32_t peerDelayParams_t::T2Nsec

Delay Request Receipt Timestamp T2. In Nanoseconds

## ◆ T3Sec

uint64_t peerDelayParams_t::T3Sec

Original Delay Response Tx TS (On Peer). In Seconds

## ◆ T3Nsec

uint32_t peerDelayParams_t::T3Nsec

Original Delay Response Tx TS (On Peer). In Nanoseconds

## ◆ T4Sec

uint64_t peerDelayParams_t::T4Sec

Delay Response receipt Rx TS. In Seconds

## ◆ T4Nsec

uint32_t peerDelayParams_t::T4Nsec

Delay Response receipt Rx TS. In Nanoseconds

## ◆ pDelayReqRcvdTSSec

uint64_t peerDelayParams_t::pDelayReqRcvdTSSec

Rx timestamp of Peer delay request received. In seconds Used for replying with a peer delay response

## ◆ pDelayReqRcvdTSNsec

uint32_t peerDelayParams_t::pDelayReqRcvdTSNsec

Rx timestamp of Peer delay request received. In nanoseconds Used for replying with a peer delay response

## ◆ delayResCorrField

uint64_t peerDelayParams_t::delayResCorrField

Delay Response Correction Field. T3 - T2. In NS

## ◆ delayResFwUpCorrField

uint64_t peerDelayParams_t::delayResFwUpCorrField

Delay Response Follow Up Correction Field. In NS